ObjectHolder< T > Class Template Reference

Uses encapsulation to hide an object in derived classes. More...

## Detailed Description

### template<class T>
class ObjectHolder< T >

Uses encapsulation to hide an object in derived classes.

Template Parameters

  T | class or type

The object T is declared as protected.

Definition at line 227 of file misc.h.

The documentation for this class was generated from the following file:

- misc.h